/* chrome去除页面滚动条 */
/* ::-webkit-scrollbar{
    display:none;
} */

/*火狐下隐藏滚动条*/ 
.html{
    /*隐藏滚动条，当IE下溢出，仍然可以滚动*/
    /* -ms-overflow-style:none;
    
    overflow:-moz-scrollbars-none; */

    /* overflow-y: hidden; */
}

/* 真实内容 body 属性 */
.password_content{
    background-color: #000;
    overflow: auto;
}


/* lets talk 文本 */
.password_lets_talk_containter {
  max-width: 728px;
  /* margin: 360px auto 0 auto; */
  margin: 30vh auto 0 auto;
  text-align: center;
  font-family: 'Montserrat-ExtraBold';

}

.password_lets_talk{
  color: white;
  font-size: 8vw;
  line-height: 1;
  margin: 0;
  font-family: 'Montserrat-ExtraBold';
}

.password_say_hello{
  color: white;
  font-size: 26px;
  line-height: 1;
  margin: 12px 0 0 0;
  font-family: 'Montserrat-ExtraBold';
}

.password_input{
    padding-left: 16px;
    width: 360px;
    height: 52px;
    border-radius: 0px;
    background-color: #1A1A1A;
    border-color:rgba(0,0,0,0);
    border-width: 2px;
    border-style: solid;
    font-size: 16px;
    line-height: 16px;
    font-family: 'Montserrat-ExtraBold';
    color: white;
  }
  
  .password_input:hover{
    padding-left: 16px;
    width: 360px;
    height: 52px;
    border-radius: 0px;
    background-color: #1A1A1A;
    border-color:#666666;
    border-width: 2px;
    border-style: solid;
    font-size: 16px;
    line-height: 16px;
    font-family: 'Montserrat-ExtraBold';
    
  }
  
  /* 聚焦 */
  .password_input:focus-visible{
    padding-left: 16px;
    width: 360px;
    height: 52px;
    border-radius: 0px;
    background-color:black;
    border-color:white;
    border-width: 2px;
    border-style: solid;
    font-size: 16px;
    line-height: 16px;
    color:white;
    font-family: 'Montserrat-ExtraBold';
    outline-width: 0px;
  }
  
  
  /* webkit 浏览器placeholder样式 */
  ::-webkit-input-placeholder {
    color:rgba(230,230,230,0.3);
  }
  
  
  
  
  /* 火狐浏览器 placeholder 样式 */
  ::-moz-placeholder {
    color:rgba(230,230,230,0.3);
  }
  
  
  .password_dialog{
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: #000;
    color: #fff;
    z-index: 3;
    /* background-image: url(../work/img/password_page/bg.jpg);
    background-size: contain; */
  }
  
  
  .password_button{
    width: 48px;
    height: 48px;
    border-width: 0px;
    margin-left: -51px;
    margin-top: 2px;
    display: inline-block;
    cursor: pointer;
    position: absolute;
    background-image: url(../work/img/password_page/lock.png);
    background-size: 48px;
  }
  
  .password_button_changeimg{
    width: 48px;
    height: 48px;
    border-width: 0px;
    margin-left: -51px;
    margin-top: 2px;
    display: inline-block;
    cursor: pointer;
    position: absolute;
    background-image: url(../work/img/password_page/lock_white.png);
    background-size: 48px;
  }


  
  .password_input:focus + .password_button{
    background-image: url(../work/img/password_page/errow.png);
  }
  
  .password_container{
    position: relative;
    margin-top: 56px;
  }
  
  .password_error_msg{
    display: none;
    width: 360px;
    text-align: left;
    font-size: 14px;
    line-height: 14px;
    color: #CC0000;
    margin-top: 8px;
  }















  @font-face {
    font-family: 'Montserrat-ExtraBold';
    src: url('../font/Montserrat-ExtraBold.eot') format('embedded-opentype'), url('../font/Montserrat-ExtraBold.woff') format('woff'), url('../font/Montserrat-ExtraBold.ttf') format('truetype'), url('../font/Montserrat-ExtraBold.svg') format('svg');
    font-weight: normal;
    font-style: normal;
  }
  
  
  /* 去除水平滚动条 */
  html {
    overflow-x: hidden;
    overflow-y: hidden;
  }
  
  /* 使页面滚动顺滑，很重要！！！！！！ */
  html,
  body {
    scroll-behavior: smooth;
  }
  
  body {
    margin: 0;
    font-family: "Montserrat-ExtraBold","SF UI Text", Helvetica, Arial, "PingFang SC", "Source Han Sans SC", "Hiragino Sans GB", "Microsoft YaHei", sans-serif;
    /* font-family: "SF UI Text", Helvetica, Arial, "PingFang SC", "Source Han Sans SC", "Hiragino Sans GB", "Microsoft YaHei", sans-serif; */
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    -moz-font-smoothing: antialiased;
    -ms-font-smoothing: antialiased;
    font-smoothing: antialiased;
  
    /* font-weight: 900; */
  
  
    background-color: black;
  
    min-width: 375px;
  
  }
  
  
  /* header */
  .password_header {
    width: 100%;
    height: 60px;
    position: fixed;
    top: 0;
    left: 0;
    background-color: transparent;
    font-family: "Montserrat-ExtraBold";
    z-index: 2;
    /* transition: .password_3s;
    opacity: 0; */
  }
  
  .password_header_logo {
    font-size: 30px;
    line-height: 60px;
    color: white;
    text-decoration: none;
  
    margin-left: 40px;
  }
  
  .password_header_right {
    display: inline;
    position: absolute;
    right: 40px;
  }
  
  .password_header_link {
    font-size: 16px;
    line-height: 60px;
    color: white;
    text-decoration: none;
  
    margin-left: 44px;
  
    /* 链接悬浮时下面的横条定位用 */
    position: relative;
  }
  
  .password_header_link:after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -4px;
    width: 0px;
    height: 2px;
    background: white;
  
    transition: .6s;
  }
  
  .password_header_link_active:after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -4px;
    width: 100%;
    height: 2px;
    background: white;
  }
  
  .password_header_link:hover:after {
    width: 100%;
    transition: .6s;
  }
  
  
  /* 汉堡菜单 */
  .password_hamberger_container {
    width: 22px;
    height: 60px;
    background-color: transparent;
    opacity: 0;
  
  
    position: absolute;
    top: 0;
    right: 0;
  
    cursor: pointer;
    z-index: -1;
  }
  
  
  
  
  .password_hamburger {
    padding: 16px 0px;
    display: inline-block;
    cursor: pointer;
    transition-property: opacity, -webkit-filter;
    transition-property: opacity, filter;
    transition-property: opacity, filter, -webkit-filter;
    transition-duration: 0.15s;
    transition-timing-function: linear;
    font: inherit;
    color: inherit;
    text-transform: none;
  
    background-color: transparent;
    border: 0;
    margin: 0;
    overflow: visible;
  
    position: absolute;
    left: 0;
  }
  
  .hamburger:hover {
    opacity: 1;
  }
  
  .password_hamburger-box {
    width: 22px;
    height: 24px;
    display: inline-block;
    position: relative;
  }
  
  .password_hamburger-inner {
    display: block;
    top: 50%;
    margin-top: -2px;
  }
  
  
  .password_hamburger-inner,
  .password_hamburger-inner::before,
  .password_hamburger-inner::after {
    width: 22px;
    height: 3px;
    background-color: white;
    border-radius: 0px;
    position: absolute;
    transition-property: -webkit-transform;
    transition-property: transform;
    transition-property: transform, -webkit-transform;
    transition-duration: 0.15s;
    transition-timing-function: ease;
  }
  
  
  .password_hamburger-inner::before,
  .password_hamburger-inner::after {
    content: "";
    display: block;
  }
  
  .password_hamburger-inner::before {
    top: -9px;
    /*       width:75%; */
  }
  
  .password_hamburger-inner::after {
    bottom: -10px;
    width: 70%;
    right: 0;
  }
  
  /* Collapse Reverse */
  .password_hamburger--collapse-r .hamburger-inner {
    top: auto;
    bottom: 0;
    transition-duration: 0.15s;
    transition-delay: 0.15s;
    transition-timing-function: cubic-bezier(0.55, 0.055, 0.675, 0.19);
  }
  
  .password_hamburger--collapse-r .hamburger-inner::after {
    top: -18px;
    transition: top 0.3s 0.3s cubic-bezier(0.33333, 0.66667, 0.66667, 1), opacity 0.1s linear;
  }
  
  .password_hamburger--collapse-r .hamburger-inner::before {
    transition: top 0.12s 0.3s cubic-bezier(0.33333, 0.66667, 0.66667, 1), -webkit-transform 0.15s cubic-bezier(0.55, 0.055, 0.675, 0.19);
    transition: top 0.12s 0.3s cubic-bezier(0.33333, 0.66667, 0.66667, 1), transform 0.15s cubic-bezier(0.55, 0.055, 0.675, 0.19);
    transition: top 0.12s 0.3s cubic-bezier(0.33333, 0.66667, 0.66667, 1), transform 0.15s cubic-bezier(0.55, 0.055, 0.675, 0.19), -webkit-transform 0.15s cubic-bezier(0.55, 0.055, 0.675, 0.19);
  }
  
  
  .password_hamburger--collapse-r.is-active .hamburger-inner {
    -webkit-transform: translate3d(0, -10px, 0) rotate(45deg);
    transform: translate3d(0, -10px, 0) rotate(45deg);
    transition-delay: 0.32s;
    transition-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
  }
  
  .password_hamburger--collapse-r.is-active .hamburger-inner::after {
    top: 0;
    opacity: 0;
    transition: top 0.3s cubic-bezier(0.33333, 0, 0.66667, 0.33333), opacity 0.1s 0.27s linear;
  }
  
  .password_hamburger--collapse-r.is-active .hamburger-inner::before {
    top: 0;
    -webkit-transform: rotate(90deg);
    transform: rotate(90deg);
    transition: top 0.12s 0.18s cubic-bezier(0.33333, 0, 0.66667, 0.33333), -webkit-transform 0.15s 0.42s cubic-bezier(0.215, 0.61, 0.355, 1);
    transition: top 0.12s 0.18s cubic-bezier(0.33333, 0, 0.66667, 0.33333), transform 0.15s 0.42s cubic-bezier(0.215, 0.61, 0.355, 1);
    transition: top 0.12s 0.18s cubic-bezier(0.33333, 0, 0.66667, 0.33333), transform 0.15s 0.42s cubic-bezier(0.215, 0.61, 0.355, 1), -webkit-transform 0.15s 0.42s cubic-bezier(0.215, 0.61, 0.355, 1);
  }
  
  
  
  
  /* 点击汉堡按钮后出现的内容 */
  .password_header_black_menu_mask {
    widows: 1px;
    height: 100%;
    border-radius: 0px;
    background-color: black;
    /* opacity: .8; */
  
    position: fixed;
    right: 0;
    top: 0;
    z-index: 2;
  
    overflow: hidden;
  }
  
  
  .password_header_hambburger_menu_container {
    position: absolute;
    width: 100%;
    margin-top: 132px;
  
  
  }
  
  
  .password_header_hamburger_menu {
    display: block;
    text-align: left;
    font-family: "Montserrat-ExtraBold","SF UI Text", Helvetica, Arial, "PingFang SC", "Source Han Sans SC", "Hiragino Sans GB", "Microsoft YaHei", sans-serif;
    font-size: 52px;
    line-height: 52px;
    margin-bottom: 44px;
    /* margin-left: 135px; */
    margin-left: 295px;
    margin-right: auto;
  
  
    text-decoration: none;
    color: #555555;
  
    transition: .3s;
  }
  
  
  .password_header_hamburger_menu:hover {
    color: white;
    transition: .3s;
  }
  
  
  .password_header_hamburger_menu_active {
    color: white;
    transition: .3s;
  }
  
  /* 汉堡图标点击之后出现菜单底部的链接和版权声明 */
  .password_header_hamburger_bottom_container {
    position: absolute;
    bottom: 40px;
  
    overflow: hidden;
  }
  
  
  
  .password_header_hamburger_bottom {
    font-family: "Montserrat-ExtraBold","SF UI Text", Helvetica, Arial, "PingFang SC", "Source Han Sans SC", "Hiragino Sans GB", "Microsoft YaHei", sans-serif;
    font-size: 12px;
    line-height: 12px;
    margin-top: 10px;
    color: #555555;
  
    /* margin-left: 135px; */
    margin-left: 295px;
  
    white-space: nowrap;
    /* 文本不换行 */
  
  }
  
  
  .password_header_hambburger_link {
    color: #555555;
  }
  
  .password_header_hambburger_link:hover {
    color: white;
    transition: .3s;
  }
  
  
  
  
  .password_socoal_copyright_containter{
    width: 100%;
    background-color: black;
    /* padding-top: 120px; */
  }
  
  
  
  
  
  
  

  
  
  
  
  
  

  
  /* 超宽屏幕上为let's talk文本设置最大字号 */
  @media screen and (min-width:1681px){
    .password_lets_talk {
      font-size: 133px;
  }
  }
  
  
  
  
  /* 汉堡菜单 */
  @media screen and (max-width:801px) {
  
    .password_header_link {
      visibility: hidden;
      opacity: 0;
      transition: .3s;
      -webkit-user-select: none;
      -webkit-user-drag: none;
      display: none;
    }
  
  
  
    .password_hamberger_container {
      opacity: 1;
      z-index: auto;
  
    }
  
  
  }
  
  
  
  
  /* 页面宽度大于768px小于1025px时 */
  @media screen and (max-width: 1025px) and (min-width:768px) {
  
    .password_header_right {
      right: 30px;
    }
  
    .password_header_logo {
      margin-left: 30px;
    }
  
    .password_copyright {
      margin-left: 30px;
  }
  
  
  .password_find_me_on_github {
    margin-right: 30px;
  }
    
  }
  
  
  
  /* 页面宽度大于499px小于924px时 */
  @media screen and (max-width: 859px) and (min-width:658px) {
  
    .password_header_right {
      right: 30px;
    }
  
    .password_header_logo {
      margin-left: 30px;
    }
  
  }
  
  
  
  
  /* 页面宽度小于500px时 alltabs */
  @media screen and (max-width: 659px) {
      .password_header_right {
        right: 30px;
      }
    
      .password_header_logo {
        margin-left: 30px;
      }
  }
  
  
  @media screen and (max-width: 500px) and (min-width:411px) {
    .password_header_right {
      right: 20px;
    }
  
    .password_header_logo {
      margin-left: 20px;
    }
  
  
  }
  
  
  
  
  
  @media screen and (max-width: 411px) {
  
    .password_header_logo {
      margin-left: 20px;
    }
  
  
    .password_header_right {
      right: 20px;
    }
  }
  
  
  /* 页面宽度介于375px和415px之间时 */
  @media screen and (max-width: 415px) and (min-width:375px) {
  
    .password_header_logo {
      margin-left: 20px;
      font-size: 24px;
    }
  
  
    .password_header_right {
      right: 20px;
    }
  
    .password_header_hamburger_menu {
      /* margin-left: 96px; */
      margin-left: 256px;
      /* margin-left: 217px; */
    }
  
  
    .password_header_hamburger_bottom {
      /* margin-left: 96px; */
      margin-left: 256px;
      /* margin-left: 217px; */
  
    }


    .password_say_hello {
        color: white;
        font-size: 16px;
        line-height: 1;
        margin: 12px 0 0 0;
        font-family: 'Montserrat-ExtraBold';
    }

    .password_lets_talk {
        font-size: 48px;
        line-height: 1;
    }

    .password_input {
        padding-left: 12px;
        width: 326px;
        height: 48px;
        border-radius: 0px;
        background-color: #1A1A1A;
        border-color: rgba(0,0,0,0);
        border-width: 2px;
        border-style: solid;
        font-size: 16px;
        line-height: 16px;
        font-family: 'Montserrat-ExtraBold';
    }


    .password_input:hover {
        padding-left: 12px;
        width: 326px;
        height: 48px;
        border-radius: 0px;
        background-color: black;
        border-color: white;
        border-width: 2px;
        border-style: solid;
        font-size: 16px;
        line-height: 16px;
        font-family: 'Montserrat-ExtraBold';
}

    .password_error_msg {
        width: 326px;

    }


    .password_input:focus-visible {
        padding-left: 12px;
        width: 326px;
        height: 48px;

    }

    .password_container {
        position: relative;
        margin-top: 36px;
    }

    .password_button {
        margin-top: 0px;
    }

  
  }
  
  
  @media screen and (max-width:376px) {
    .password_header_logo {
      margin-left: 20px;
      font-size: 24px;
    }
  
  
    .password_header_right {
      right: 20px;
    }
  
  
    .password_header_hamburger_menu {
      /* margin-left: 96px; */
      margin-left: 256px;
      /* margin-left: 217px; */
      font-size: 46px;
      line-height: 46px;
      margin-bottom: 40px;
    }
  
  
  
    .password_header_hamburger_bottom {
      /* margin-left: 96px; */
      margin-left: 256px;
      /* margin-left: 217px; */
  
    }


    .password_input {
        padding-left: 12px;
        width: 300px;
        height: 44px;
        border-radius: 0px;
        background-color: #1A1A1A;
        border-color: rgba(0,0,0,0);
        border-width: 2px;
        border-style: solid;
        font-size: 14px;
        line-height: 14px;
        font-family: 'Montserrat-ExtraBold';
    }

    .password_input:hover {
      width: 300px;
      height: 44px;

}
  

    .password_button {
        width: 44px;
        height: 44px;
        border-width: 0px;
        margin-left: -43px;
        margin-top: 0px;
        display: inline-block;
        cursor: pointer;
        position: absolute;
        background-image: url(../work/img/password_page/lock.png);
        background-size: 44px;
    }
  


    .password_container {
        position: relative;
        margin-top: 36px;
    }


    .password_say_hello {
        font-size: 14px;
        line-height: 14px;
        margin: 12px 0 0 0;
    }


    .password_lets_talk {
        font-size: 44px;
        line-height: 1;
        }



  }
  
  
  
  
  /* 底部copyright */
  @media screen and (max-width: 1001px) and (min-width:769px) {
  
    .password_detail_page_bottom {
      width: 100%;
      height: 96px;
      text-align: center;
      margin-top: 256px;
    }
    
    .password_copyright {
      line-height: 14px;
      display: block;
      float:none;
      margin-left:0;
    }
    
    
    .password_all_articles {
      font-size: 36px;
      line-height: 36px;
      text-decoration: none;
      margin: 0 auto;
      position: relative;
      display: block;
      margin-top: -110px;
    }
    
    .password_find_me_on_github {
      line-height: 14px;
      float: none;
      margin-right: 0;
      display: block;
      margin-top: 92px;
    }
    
    .password_all_articles:after {
      height: 0px;
    }
    
    }
  
  /* 底部copyright */
  @media screen and (max-width: 769px) {
  
  .password_detail_page_bottom {
    width: 100%;
    height: 96px;
    text-align: center;
    margin-top: 256px;
  }
  
  .password_copyright {
    line-height: 14px;
    display: block;
    float:none;
    margin-left:0;
  }
  
  
  .password_all_articles {
    font-size: 28px;
    line-height: 36px;
    text-decoration: none;
    margin: 0 auto;
    position: relative;
    display: block;
    margin-top: -110px;
  }
  
  .password_find_me_on_github {
    line-height: 14px;
    float: none;
    margin-right: 0;
    display: block;
    margin-top: 92px;
  }
  
  .password_all_articles:after {
    height: 0px;
  }
  
  }
  
  @media screen and (max-width:841px) and (min-width:766px){
    .password_lets_talk_containter {
      max-width: calc(100vw - 60px);
  }
  
  .password_phone_email_wechat_qq_container {
    width: calc(100% - 30px);
  }
  
  .password_phone_container {
    width: calc((100% - 60px)/2);
    margin: 0 15px 30px 15px;
  }
  }
  
  
  
  /* 768px以下，变成一排显示 */
  @media screen and (max-width:766px) and (min-width:429px){
    .password_phone_email_wechat_qq_container {
      width: calc(100% - 60px);
  }
  
  
    .password_phone_container {
      width: 100%;
      margin: 0 0 40px 0;
  }
  
  .password_lets_talk_containter {
    max-width: calc(100vw - 60px);
  }
  
  .password_lets_talk {
    font-size: 13vw;
  }
  
  .password_say_hello {
    font-size: 20px;
    margin: 8px 0 0 0;
  }
  
  }
  
  @media screen and (max-width:429px) and (min-width:415px){
    .password_phone_email_wechat_qq_container {
      width: calc(100% - 60px);
  }
  
  
    .password_phone_container {
      width: 100%;
      margin: 0 0 40px 0;
  }
  
  .password_lets_talk_containter {
    max-width: calc(100vw - 60px);
  }
  
  .password_lets_talk {
    font-size: 50px;
    line-height: 1;
  }
  
  .password_say_hello {
    font-size: 18px;
    line-height: 18px;
    margin: 12px 0 0 0;
  }

  .password_container {
    position: relative;
    margin-top: 36px;
}
  
  }




  @media screen and (max-width: 415px) {
  
  .password_detail_page_bottom {
    width: 100%;
    height: 96px;
    text-align: center;
    margin-top: 256px;
  }
  
  .password_copyright {
    line-height: 14px;
    display: block;
    float:none;
    margin-left:0;
  }
  
  
  .password_all_articles {
    font-size: 28px;
    line-height: 36px;
    text-decoration: none;
    margin: 0 auto;
    position: relative;
    display: block;
    margin-top: -110px;
  }
  
  .password_find_me_on_github {
    line-height: 14px;
    float: none;
    margin-right: 0;
    display: block;
    margin-top: 92px;
  }
  
  .password_all_articles:after {
    height: 0px;
  }
  
  
  
  .password_phone_email_wechat_qq_container {
    width: calc(100% - 40px);
    margin-top: 60px;
  }
  
  
  .password_phone_container {
    width: 100%;
    margin: 0 0 32px 0;
  }
  
  .password_lets_talk_containter {
  max-width: calc(100vw - 40px);
  margin: 30vh auto 0 auto;
  }
  

  
  /* .password_say_hello {
  font-size: 16px;
  line-height: 24px;
  margin: 12px 0 0 0;
  } */
  
  
  }
  
  
  
  
  
  
  
  /* 若检测到设备为移动设备（不能悬浮）则执行以下类 */
  .mobile .project {
    width: 100%;
  }
  
  
  .mobile .project_title {
    opacity: 1;
    transform: none;
  }
  
  
  
  .mobile .project_category {
    opacity: 1;
    transform: none;
  }


